<template>
  <router-view />
</template>
<script setup lang="ts">
import { useFavicon, useTitle } from "@vueuse/core";
import { getConfigInfo } from '@/utils/api'

const title = useTitle();
getConfigInfo("PRODUCT-NAME").then(res => {
  title.value = res;
});

const icon = useFavicon();
getConfigInfo("ICON").then(res => {
  icon.value = "data:image/x-icon;base64," + res;
});

const logoImage = ref<string>("");
getConfigInfo("LOGO").then(res => {
  logoImage.value = "data:image/jpg;base64," + res;
});
provide("logoImage", logoImage);
</script>
<style>
@tailwind base;
@tailwind components;
@tailwind utilities;
</style>